Get Delivery Note
curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/deliveryNotes/{deliveryNoteId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/deliveryNotes/{deliveryNoteId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/deliveryNotes/{deliveryNoteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"Number": "<string>",
"DeliveryNoteDate": "2023-11-07T05:31:56Z",
"Packages": [
{
"Id": 123,
"PackageDate": "2023-11-07T05:31:56Z",
"TrackingID": "<string>",
"Weights": 123,
"ShippingMethodId": 123,
"ShippedDate": "2023-11-07T05:31:56Z",
"TrackingUrl": "<string>",
"Comment": "<string>"
}
]
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Delivery Note
Get Delivery Note
Get a specific delivery note
GET
/
v1
/
deliveryNotes
/
{deliveryNoteId}
Get Delivery Note
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the delivery note.
Response
Returns the delivery note for the given id.
Model Class: DeliveryNote
Unique ID to identify a delivery note.
The number of the delivery note.
The date when the delivery note was created.
All packages that are created with the delivery note.
Show child attributes
Show child attributes
Was this page helpful?
⌘I